<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Builder;

class PagSeguroPaymentResponseBuilder implements Builder {
	protected $code;
	protected $message;
	protected $reference;

	public function build(): PagSeguroPaymentResponse {

		$obj = new PagSeguroPaymentResponse();
		$obj->setCode( $this->code );
		$obj->setReference( $this->reference );
		$obj->setMessage( $this->message );

		return $obj;

	}

	/**
	 *
	 * @param mixed $code
	 */
	public function setCode($code): PagSeguroPaymentResponseBuilder {

		$this->code = $code;
		return $this;

	}

	/**
	 *
	 * @param mixed $message
	 */
	public function setMessage($message): PagSeguroPaymentResponseBuilder {

		$this->message = $message;
		return $this;

	}

	/**
	 *
	 * @param mixed $reference
	 */
	public function setReference($reference): PagSeguroPaymentResponseBuilder {

		$this->reference = $reference;
		return $this;

	}

}

